﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{4C781A49-359E-4599-A07F-6FF22C57BDCD}</ProjectGuid>
    <OutputType>Library</OutputType>
    <StartupObject>
    </StartupObject>
    <RootNamespace>Pic.Build</RootNamespace>
    <AssemblyName>Pic.Build</AssemblyName>
    <MyType>Windows</MyType>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>3.5</OldToolsVersion>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\Oasys3</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup>
    <OptionStrict>On</OptionStrict>
  </PropertyGroup>
  <PropertyGroup>
    <OptionInfer>On</OptionInfer>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="FarPoint.Win, Version=3.0.2004.2005, Culture=neutral, PublicKeyToken=327c3516b1b18457, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\FarPoint\FarPoint.Win.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="FarPoint.Win.Spread, Version=3.0.2004.2005, Culture=neutral, PublicKeyToken=327c3516b1b18457, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\FarPoint\FarPoint.Win.Spread.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.Linq" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Import Include="BOStockTake" />
    <Import Include="Cts.Oasys.Core.System" />
    <Import Include="FarPoint.Win" />
    <Import Include="FarPoint.Win.Spread" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Collections" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Drawing" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Linq" />
    <Import Include="System.Text" />
    <Import Include="System.Windows.Forms" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="My Project\Resources.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="My Project\Settings.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="Build.Designer.vb">
      <DependentUpon>Build.vb</DependentUpon>
    </Compile>
    <Compile Include="Build.vb">
      <SubType>UserControl</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="My Project\licenses.licx" />
    <EmbeddedResource Include="My Project\Resources.resx">
      <Generator>VbMyResourcesResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.vb</LastGenOutput>
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Build.resx">
      <DependentUpon>Build.vb</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="My Project\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <CustomToolNamespace>My</CustomToolNamespace>
      <LastGenOutput>Settings.Designer.vb</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core2\Cts.Oasys.Core2.csproj">
      <Project>{93F81432-BC23-4C71-917D-9C4CCA1A916C}</Project>
      <Name>Cts.Oasys.Core2</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.WinForm\Cts.Oasys.WinForm\Cts.Oasys.WinForm.vbproj">
      <Project>{42C628EC-03C8-4792-9019-1F87E4042E45}</Project>
      <Name>Cts.Oasys.WinForm</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\BusinessObjects\BOHierarchy\BOHierarchy.vbproj">
      <Project>{32A24176-3A89-4982-BCE5-593914DF7409}</Project>
      <Name>BOHierarchy</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\BusinessObjects\BOPurchases\BOPurchases.vbproj">
      <Project>{78A421F9-2CAA-4905-9691-1C9661D8E77C}</Project>
      <Name>BOPurchases</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\BusinessObjects\BOStock\BOStock.vbproj">
      <Project>{7DB527FD-F9F9-4335-966D-5A2C8B4460F1}</Project>
      <Name>BOStock</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\BusinessObjects\BOStockTake\BOStockTake.vbproj">
      <Project>{76B7C7EE-664A-44BD-BB9B-99298E93B7DA}</Project>
      <Name>BOStockTake</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\BusinessObjects\BOSystem\BOSystem.vbproj">
      <Project>{5CD5D053-339B-4440-A05D-F3A1E2CA4C0D}</Project>
      <Name>BOSystem</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core\Cts.Oasys.Core.vbproj">
      <Project>{28893D2F-A1FE-4AEB-A600-C14945DF980B}</Project>
      <Name>Cts.Oasys.Core</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core.System\Cts.Oasys.Core.System.vbproj">
      <Project>{4A4B0C29-592E-44E3-A3E9-A090AF3C1E4B}</Project>
      <Name>Cts.Oasys.Core.System</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Oasys Framework\OasysDBBO\OasysDBBO.vbproj">
      <Project>{3DBD864C-D231-41AF-AD4C-B8667CF8680D}</Project>
      <Name>OasysDBBO</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Reporting\Stock.Enquiry\Stock.Enquiry.vbproj">
      <Project>{430927C0-1816-4F25-AE2D-5E6E832607E0}</Project>
      <Name>Stock.Enquiry</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>